## org.h2.security
Class CipherFactory

    java.lang.Object
      org.h2.security.CipherFactory

    public class CipherFactory

extends java.lang.Object

A factory to create new block cipher objects.

Method Summary
`static BlockCipher` `getBlockCipher(java.lang.String algorithm)` Get a new block cipher object for the given algorithm.
`static SHA256` `getHash(java.lang.String algorithm)` Get a new cryptographic hash object for the given algorithm.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBlockCipher

    public static BlockCipher getBlockCipher(java.lang.String algorithm)
                                      throws java.sql.SQLException

  Get a new block cipher object for the given algorithm.

  Parameters:
    `algorithm` - the algorithm
  Returns:
    a new cipher object
  Throws:
    `java.sql.SQLException`

### getHash

    public static SHA256 getHash(java.lang.String algorithm)
                          throws java.sql.SQLException

  Get a new cryptographic hash object for the given algorithm.

  Parameters:
    `algorithm` - the algorithm
  Returns:
    a new hash object
  Throws:
    `java.sql.SQLException`